@import '../../styles/variables';
@import '../../styles/mixins';

.cui-skeleton {
  display: block;
  position: relative;
  overflow: hidden;
  flex: 1 1 auto;

  .skeleton {
    position: absolute;
    border-radius: cui-border-radius(m);
    background: $cui-skeleton-bg-color;
  }

  .skeleton-highlight {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(90deg,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 0.25) 25%,
      rgba(255, 255, 255, 0.5) 50%,
      rgba(255, 255, 255, 0.25) 75%,
      rgba(255, 255, 255, 0) 100%);
    background-repeat: no-repeat;
    background-size: 50px 100%;
    background-position: -25% 0;
    animation: cui-skeleton 1.25s infinite;
  }
}

@keyframes cui-skeleton {
  to { background-position: 125% 0; }
}
